var radarPanel = null;

function openRadar( width, height ) {
	if ( radarPanel == null ) {
		// radarPanelURL comes from global variable set in reportview.jsp

		radarPanel = new DraggableHoverDiv( true, true );
		radarPanel.iframe = $( '<iframe/>' );
		radarPanel.iframe.attr( 'src', radarPanelURL );
		radarPanel.iframe.width( width );
		radarPanel.iframe.height( height );
		radarPanel.iframe.appendTo( radarPanel.contentDiv );
	}
	else {
		try {
			radarPanel.iframe.get()[ 0 ].contentDocument.location.reload( true );
		}
		catch ( e ) {
			radarPanel.iframe.attr( 'src', radarPanel.iframe.attr( 'src' ) );
		}
	}
	radarPanel.position();
	radarPanel.show();
};

function closeRadar() {
	radarPanel.hide();
};

